Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.netcomm.handlers
Class SocketHandler

    java.lang.Object
      madkit.netcomm.handlers.SocketHandler

All Implemented Interfaces:
  ConnectionHandler

    public class SocketHandler

extends java.lang.Object

Version:
  $Revision: 1.1 $
Author:
  Sebastian Rodriguez - sebastian.rodriguez@utbm.fr

Field Summary
`protected boolean` | `_active`
`protected java.net.InetAddress` | `_address`
`protected KernelAddress` | `_distantKernel`
`protected KernelAddress` | `_localKernel`
`protected int` | `_port`

Constructor Summary
`SocketHandler(KernelAddress localKernel, KernelAddress distantKernel, java.net.InetAddress addr, int port, boolean actionMode)`

Method Summary
`java.net.Socket` | `createSocket()`
`KernelAddress` | `getDistantKernel()`
`java.net.InetAddress` | `getInetAddress()`
`java.lang.String` | `getLocalKernelID()`
`java.lang.String` | `getName()`
`int` | `getPort()`
`boolean` | `isActiveMode()`
`boolean` | `sendObject(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _address

    protected final java.net.InetAddress _address

### _port

    protected final int _port

### _localKernel

    protected final KernelAddress _localKernel

### _distantKernel

    protected final KernelAddress _distantKernel

### _active

    protected final boolean _active

Constructor Detail

### SocketHandler

    public SocketHandler(KernelAddress localKernel,
                         KernelAddress distantKernel,
                         java.net.InetAddress addr,
                         int port,
                         boolean actionMode)

Method Detail

### getName

    public java.lang.String getName()

### sendObject

    public boolean sendObject(java.lang.Object obj)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket()
                                 throws java.io.IOException

  Returns:
  Throws:
    `java.io.IOException`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `ConnectionHandler`

### getInetAddress

    public java.net.InetAddress getInetAddress()

  Specified by:
    `getInetAddress` in interface `ConnectionHandler`

### getLocalKernelID

    public java.lang.String getLocalKernelID()

### getDistantKernel

    public KernelAddress getDistantKernel()

  Specified by:
    `getDistantKernel` in interface `ConnectionHandler`

### isActiveMode

    public boolean isActiveMode()

  Specified by:
    `isActiveMode` in interface `ConnectionHandler`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.